# Download Data File

Use this endpoint to download reference data files. For example: Address Object reference data, such as mdAddrKey files for fresh and new data.

After successful submission, you will be redirected to an automatic file download.

Endpoint: GET /Download/Data/{release}/{filename}

## Query parameters:

  - `id` (any, required)
    The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

## Path parameters:

  - `filename` (string, required)
    Name of File.
    Example: "ews.txt"

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- YYYY.MM OR YYYY-MM  - (year, month)
- YYYY.QQ - (year, quarter)
- [metaReleaseName] - Release Name, for example: latest
    Example: "LATEST"

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


